Create Webhook
curl --request POST \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html",
"payload": null,
"check_https": true,
"logging_enabled": true,
"retries": 5,
"timeout": 8
}
'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/webhooks"
payload = {
"url": "http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html",
"payload": None,
"check_https": True,
"logging_enabled": True,
"retries": 5,
"timeout": 8
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html',
payload: null,
check_https: true,
logging_enabled: true,
retries: 5,
timeout: 8
})
};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01kqh44bpk3y8hp7w4grp90aa6",
"url": "Example text.",
"payload": {
"data": {
"id": "c68e0767-6220-31fb-a489-61093ff79529",
"name": "Example Name"
},
"event": "user.created",
"timestamp": "2020-05-23T06:21:42+0000"
},
"check_https": true,
"logging_enabled": true,
"retries": 10,
"timeout": 607,
"workspace_id": "01kqh44bpcnsgwbaaacgn64g50",
"created_at": "2026-05-01T06:38:01+00:00",
"updated_at": "2026-05-01T06:38:01+00:00"
}
}Webhooks
Create Webhook
Creates a new webhook configuration for the authenticated user’s current workspace. A workspace can have multiple webhooks.
POST
/
api
/
v1
/
webhooks
Create Webhook
Authorizations
Bearer token authentication
Body
application/json
Must be a valid URL.
Example:
"http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html"
Example:
null
Example:
true
Example:
true
Must be at least 0. Must not be greater than 10.
Example:
5
Must be at least 1. Must not be greater than 1800.
Example:
8
Response
201 - application/json
Show child attributes
Show child attributes

